//
//  AGShortcutPickerView.h
//  AGShortcutPickerView
//
//  Created by Seth Willits on 9/30/06.
//  Copyright 2006 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AGShortcut.h"


@interface AGShortcutPickerView : NSControl {
	
	// Behavior
	AGShortcut * shortcut;
	id target;
	SEL action;
		
	// Drawing
	NSTextFieldCell * textCell;
	NSButtonCell * clearCell;
	BOOL shouldDrawFocusRing;
	NSResponder* lastResp;
	BOOL didDrawFocusRing;
}


- (void)setShortcut:(AGShortcut *)s;
- (AGShortcut *)shortcut;

- (void)setTarget:(id)theTarget;
- (id)target;
- (void)setAction:(SEL)theAction;
- (SEL)action;

@end
